Package org.drinkless.tdlib

# Class TdApi.CheckChatUsername

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.CheckChatUsernameResult>
org.drinkless.tdlib.TdApi.CheckChatUsername

Enclosing class:
  TdApi

public static class TdApi.CheckChatUsername extends TdApi.Function<TdApi.CheckChatUsernameResult>
Checks whether a username can be set for a chat.

Returns `CheckChatUsernameResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or 0 if the chat is being created.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `username`
  Username to be checked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckChatUsername()`
  Default constructor for a function, which checks whether a username can be set for a chat.
  `CheckChatUsername(long chatId, String username)`
  Creates a function, which checks whether a username can be set for a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or 0 if the chat is being created.

  - ### username

    public String username
    Username to be checked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckChatUsername

    public CheckChatUsername()
    Default constructor for a function, which checks whether a username can be set for a chat.

    Returns `CheckChatUsernameResult`

  - ### CheckChatUsername

    public CheckChatUsername(long chatId, String username)
    Creates a function, which checks whether a username can be set for a chat.

    Returns `CheckChatUsernameResult`

    Parameters:
      `chatId` - Chat identifier; must be identifier of a supergroup chat, or a channel chat, or a private chat with self, or 0 if the chat is being created.
      `username` - Username to be checked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.CheckChatUsernameResult>`
    Returns:
      this.CONSTRUCTOR